Thread (26 messages) 26 messages, 3 authors, 2024-10-30

Re: [PATCH v2 3/5] worktree: add tests for worktrees with relative paths

From: Caleb White <hidden>
Date: 2024-10-30 04:16:44

On Tue Oct 29, 2024 at 6:00 PM CDT, Taylor Blau wrote:
quoted
diff --git a/t/t0001-init.sh b/t/t0001-init.sh
index 0178aa62a41f1606f2382a4a10ab593ccf11e0e8..e21b9aa5e7f4599af8b20165b50896c9a49ba7ea 100755
--- a/t/t0001-init.sh
+++ b/t/t0001-init.sh
@@ -435,6 +435,7 @@ sep_git_dir_worktree ()  {
 	test_when_finished "rm -rf mainwt linkwt seprepo" &&
 	git init mainwt &&
 	test_commit -C mainwt gumby &&
+	git -C mainwt config worktree.useRelativePaths "$([ "$2" = "relative" ] && echo true || echo false)" &&
Can we avoid using '[' and perhaps split this out a little further.
Perhaps:

    if test "relative" = $2
    then
        git -C mainwt config worktree.useRelativePaths true
    else
        git -C mainwt config worktree.useRelativePaths false
    fi

I think the duplication is more than worth the clarity here.
Sounds good, I'll make that change.

Best,
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help